# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::Comment Class Reference

This represents the content of a comment, i.e., all the characters between the starting ' `<!--` ' and ending ' `-->` '. More...

`#include <dom_text.h>`

Inheritance diagram for DOM::Comment:

[legend]
Collaboration diagram for DOM::Comment:

[legend]
List of all members.

## Public Member Functions

| Comment (const Comment &other)
| Comment (const Node &other)
Comment & | operator= (const Node &other)
Comment & | operator= (const Comment &other)

## Protected Member Functions

| Comment (CommentImpl *i)

## Friends

class | Document
class | TextImpl

## Detailed Description

This represents the content of a comment, i.e., all the characters between the starting ' `<!--` ' and ending ' `-->` '.

Note that this is the definition of a comment in XML, and, in practice, HTML, although some HTML tools may implement the full SGML comment structure.

Definition at line 223 of file dom_text.h.

The documentation for this class was generated from the following files:

- dom_text.h
- dom_text.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:48 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003